Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.droolsjbpm.services.impl
Class SimpleDomainImpl

    java.lang.Object
      org.droolsjbpm.services.impl.SimpleDomainImpl

All Implemented Interfaces:
  Domain

    public class SimpleDomainImpl

extends Object
implements Domain

Constructor Summary
`SimpleDomainImpl()`
`SimpleDomainImpl(String name)`
`SimpleDomainImpl(String name, long parentId)`

Method Summary
`void` | `addAsset(String name, String path)`
`void` | `addKsessionRepositoryRoot(String ksession, String ksessionRepositoryRoot)`
`void` | `addProcessBPMN2ContentToKsession(String sessionName, String processId, String bpmn2Content)`
`void` | `addProcessDefinitionToKsession(String ksession, org.kie.commons.java.nio.file.Path path)`
`void` | `addRulesDefinitionToKsession(String ksession, org.kie.commons.java.nio.file.Path path)`
`void` | `clear()`
`Map<String,String>` | `getAllProcesses()`
`Map<String,String>` | `getAssetsDefs()`
`Long` | `getId()`
`Map<String,String>` | `getKsessionRepositoryRoot()`
`String` | `getName()`
`long` | `getParentId()`
`String` | `getProcessDefinitionBPMN2(String ksessionName, String processId)`
`Map<String,List<org.kie.commons.java.nio.file.Path>>` | `getProcessDefinitionFromKsession()`
`Map<String,String>` | `getProcessesBySession(String ksessionName)`
`Map<String,List<org.kie.commons.java.nio.file.Path>>` | `getRulesDefinitionFromKsession()`
`void` | `setAssetsDefs(Map<String,String> assetsDefs)`
`void` | `setId(Long id)`
`void` | `setKsessionRepositoryRoot(Map<String,String> ksessionRepositoryRoot)`
`void` | `setName(String name)`
`void` | `setParentId(long parentId)`
`void` | `setProcessDefinitionToKsessions(Map<String,List<org.kie.commons.java.nio.file.Path>> ksessionProcessDefinitions)`
`void` | `setRulesDefinitionToKsessions(Map<String,List<org.kie.commons.java.nio.file.Path>> ksessionRulesDefinitions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleDomainImpl

    public SimpleDomainImpl()

### SimpleDomainImpl

    public SimpleDomainImpl(String name)

### SimpleDomainImpl

    public SimpleDomainImpl(String name,
                            long parentId)

Method Detail

### getId

    public Long getId()

### setId

    public void setId(Long id)

### getParentId

    public long getParentId()

### setParentId

    public void setParentId(long parentId)

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `Domain`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Domain`

### getAssetsDefs

    public Map<String,String> getAssetsDefs()

  Specified by:
    `getAssetsDefs` in interface `Domain`

### setAssetsDefs

    public void setAssetsDefs(Map<String,String> assetsDefs)

  Specified by:
    `setAssetsDefs` in interface `Domain`

### addAsset

    public void addAsset(String name,
                         String path)

  Specified by:
    `addAsset` in interface `Domain`

### getProcessDefinitionFromKsession

    public Map<String,List<org.kie.commons.java.nio.file.Path>> getProcessDefinitionFromKsession()

  Specified by:
    `getProcessDefinitionFromKsession` in interface `Domain`

### setProcessDefinitionToKsessions

    public void setProcessDefinitionToKsessions(Map<String,List<org.kie.commons.java.nio.file.Path>> ksessionProcessDefinitions)

  Specified by:
    `setProcessDefinitionToKsessions` in interface `Domain`

### addProcessDefinitionToKsession

    public void addProcessDefinitionToKsession(String ksession,
                                               org.kie.commons.java.nio.file.Path path)

  Specified by:
    `addProcessDefinitionToKsession` in interface `Domain`

### getRulesDefinitionFromKsession

    public Map<String,List<org.kie.commons.java.nio.file.Path>> getRulesDefinitionFromKsession()

  Specified by:
    `getRulesDefinitionFromKsession` in interface `Domain`

### setRulesDefinitionToKsessions

    public void setRulesDefinitionToKsessions(Map<String,List<org.kie.commons.java.nio.file.Path>> ksessionRulesDefinitions)

  Specified by:
    `setRulesDefinitionToKsessions` in interface `Domain`

### addRulesDefinitionToKsession

    public void addRulesDefinitionToKsession(String ksession,
                                             org.kie.commons.java.nio.file.Path path)

  Specified by:
    `addRulesDefinitionToKsession` in interface `Domain`

### addProcessBPMN2ContentToKsession

    public void addProcessBPMN2ContentToKsession(String sessionName,
                                                 String processId,
                                                 String bpmn2Content)

  Specified by:
    `addProcessBPMN2ContentToKsession` in interface `Domain`

### getAllProcesses

    public Map<String,String> getAllProcesses()

  Specified by:
    `getAllProcesses` in interface `Domain`

### getProcessesBySession

    public Map<String,String> getProcessesBySession(String ksessionName)

  Specified by:
    `getProcessesBySession` in interface `Domain`

### getProcessDefinitionBPMN2

    public String getProcessDefinitionBPMN2(String ksessionName,
                                            String processId)

  Specified by:
    `getProcessDefinitionBPMN2` in interface `Domain`

### getKsessionRepositoryRoot

    public Map<String,String> getKsessionRepositoryRoot()

  Specified by:
    `getKsessionRepositoryRoot` in interface `Domain`

### addKsessionRepositoryRoot

    public void addKsessionRepositoryRoot(String ksession,
                                          String ksessionRepositoryRoot)

  Specified by:
    `addKsessionRepositoryRoot` in interface `Domain`

### setKsessionRepositoryRoot

    public void setKsessionRepositoryRoot(Map<String,String> ksessionRepositoryRoot)

  Specified by:
    `setKsessionRepositoryRoot` in interface `Domain`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Domain`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.